<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">argos::CCrazyflieCameraEquippedEntity Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a07457da89c183fb15906e8f2680e63ba">CCrazyflieCameraEquippedEntity</a>(CComposableEntity *pc_parent)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a999bc04fb71a84fe2848b79e986ce3c3">CCrazyflieCameraEquippedEntity</a>(CComposableEntity *pc_parent, const std::string &amp;str_id, const CRadians &amp;c_aperture, Real f_focal_length, Real f_range, SInt32 n_width, SInt32 n_height, SAnchor &amp;s_anchor)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa7dc5b72749c181562aad9fb80ae773f">Disable</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1912bdd7a3fddec38ba8a5fba09e08f0">Enable</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa15be7def6a2f4b69a4c5f5151e4318e">ENABLE_VTABLE</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab11a8afe0309afdacb0c09f1e31cd9dc">GetAperture</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a7a00755337160df0f101742e70be78a4">GetFocalLength</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2a18de864a583fe5b3953b1df60b85de">GetImageMtHeight</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1e629de7e9c223c4f73243f9db54b269">GetImageMtWidth</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#acdf4990998aa396a4a0b106d92dbfec1">GetImagePxHeight</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a4b2d0513e8e06f71a2085c263a91c07e">GetImagePxWidth</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a8f3de51cd18347d1951b6e22b94c81ae">GetOrientation</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa888566686500edbd680d08b0264005a">GetPosition</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#af54bcf2a6770e7488ce7a0c39649758a">GetRange</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a3095f50ccb95c574d0f1472db7d0364d">GetTypeDescription</a>() const</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a687c3210f8d4f94917f1f5975bc80012">Init</a>(TConfigurationNode &amp;t_tree)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a0cee63a1ac73000c0c9641111c981194">SetAnchor</a>(SAnchor &amp;s_anchor)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#add27b17b47e642c6df4c26b667413fb6">SetAperture</a>(const CRadians &amp;c_aperture)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab87c2e5d1189af138a7f0ab0a24349ab">SetFocalLength</a>(Real f_focal_length)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2dd65f15a0fa8f3eb343898a623e5de6">SetImagePxSize</a>(SInt32 n_width, SInt32 n_height)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a488231da54a0b26ce44bebaca774fbbb">SetRange</a>(Real f_range)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
